Integrate API
Integrate
Get code snippets for an endpoint
POST
https://www.orthogonal.com/v1/integrate
Get ready-to-use code snippets for integrating an API endpoint into your application.
Request
apistringrequired
API slug (e.g., “olostep”, “hunter”)
pathstringrequired
Endpoint path (e.g., “/v1/scrapes”)
formatstringdefault:
orth-sdkCode format to return:
| Value | Description |
|---|---|
orth-sdk | Orthogonal TypeScript SDK |
run-api | Direct HTTP to /v1/run |
curl | cURL command |
x402-fetch | x402 payment (JavaScript) |
x402-python | x402 payment (Python) |
all | All available formats |
Response
{
"success": true,
"api": {
"name": "Olostep",
"slug": "olostep"
},
"endpoint": {
"path": "/v1/scrapes",
"method": "POST",
"price": "$0.005"
},
"format": "all",
"snippets": {
"orth-sdk": "import Orthogonal from \"@orth/sdk\";\n\nconst orthogonal = new Orthogonal(...);\nconst result = await orthogonal.run({...});",
"run-api": "curl -X POST 'https://api.orthogonal.com/v1/run' ...",
"curl": "curl -X POST 'https://api.orthogonal.com/v1/run' ...",
"x402-fetch": "import { wrapFetchWithPayment } from \"x402-fetch\"; ...",
"x402-python": "from x402.clients.requests import x402_http_adapter ..."
},
"setup": {
"sdk": "npm install @orth/sdk && export ORTHOGONAL_API_KEY=orth_live_...",
"x402": "npm install x402-fetch viem && export PRIVATE_KEY=0x..."
}
}
Example
curl -X POST 'https://api.orthogonal.com/v1/integrate' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"api": "hunter",
"path": "/v2/domain-search",
"format": "all"
}'